<template>
  <v-app>
    <v-app-bar
      app
      color="white"
      dark
    >
      <div class="d-flex align-center">
        <v-img
          alt="Vuetify Logo"
          class="shrink mr-2"
          contain
          src="https://cdn.vuetifyjs.com/images/logos/vuetify-logo-dark.png"
          transition="scale-transition"
          width="40"
        />
      </div>

      <div class="menu">
        <div class="menu-item" v-for="(item, ibx) in menuItems" :key="ibx">
          <template>
            <v-toolbar-title v-html="item"  />
          </template>
        </div>
      </div>
      <v-spacer></v-spacer>

    </v-app-bar>

    <v-main>
      <HealthProps />
    </v-main>
  </v-app>
</template>

<style lang="scss">
header {
  position: relative;

  .v-toolbar__content {
    max-width: 1024px;
    margin: 0 auto;

    .menu {
      color: #000000;
      display: flex;

      .menu-item:not(:last-of-type) {
        margin-right: 15px;
      }
    }
  }
}

main {
  padding-bottom: 50px !important;

  section {
    max-width: 1024px;
    margin: 0 auto;
  }
}
</style>

<script>

import HealthProps from "@/pages/HealthProps/HealthProps";
export default {
  name: 'App',

  components: {
    HealthProps
  },

  data: () => ({
    menuItems: [
        'Menu Item 1',
        'Menu Item 2',
        'Menu Item 3',
        'Menu Item 4',
        'Menu Item 5',
        'Menu Item 6',
    ],
  }),
};
</script>
